
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>推动Java前进--Java Strategy Keynote JavaOne 2011 / iVAN</title>

    <meta name="description" content="推动Java前进--Java Strategy Keynote JavaOne 2011 每年的JavaOne都会发布关于Java未来发展的计划或愿景,在今年的Java Strategy Keynote中,Oracle则向大家描述了将如何推动Java继续前进.本文是JavaOne2011的官方博文,概述了Java Strategy Keynote中提及的重要内容.(2011.10.07最后更新) 周四的战略主旨演讲展示了Oracle在对待Java投资与创新方面的长期愿景.该议题包罗广泛,涉及技术,合作伙伴,宣言和路线图--从移动与手持设备,到桌面应用,再到云.早上,先由David W">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">推动Java前进--Java Strategy Keynote JavaOne 2011</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>每年的JavaOne都会发布关于Java未来发展的计划或愿景，在今年的Java Strategy Keynote中，Oracle则向大家描述了将如何推动Java继续前进。本文是JavaOne2011的官方博文，概述了Java Strategy Keynote中提及的重要内容。(2011.10.07最后更新)</p>
<p>周四的战略主旨演讲展示了Oracle在对待Java投资与创新方面的长期愿景。该议题包罗广泛，涉及技术，合作伙伴，宣言和路线图--从移动与手持设备，到桌面应用，再到云。早上，先由David Ward开始，他是Juniper Networks平台系统部门的CTO与首席架构师。Ward详述了在云时代开发者们认知并利用可编程的"由软件定义的网络"时代的必要性。Ward探究了直接对网络进行编程的应用接口，告之了它最得意的功能，使用网络设备确定实际的位置/拓扑，终端设备的功能，实时应用的要求，以及其它方面。总之，这些接口定义了一个双向的交互与可编程特性。Ward说道，"来源于网络的是对其拓扑的实时理解，而从应用空间到网络中去的是将通信引导到高效途径中"。</p>
<p><strong>推动Java前进：三大支柱</strong></p>
<p>随后，Hasan Rizvi，Oracle Fusion中间件与Java部门的高级副总裁，简要探讨了"推动Java前进"的三大支柱：正确的技术，Java社区，以及Oracle对Java的领导/管理。在该环节中，Rizvi提供了一个近期里程碑的记录，包括在今年夏天发布的JDK 7，正在开发中的(且由社区深度参与的)Java EE 7，JavaFX 2.0，以及刚刚针对Mac OS X发布的JDK 7预览版。他也提到了IBM，Apple以及SAP成为OpenJDK社区的成员，当然还有其它成员。<br />
然后，Intel的Java技术主管Jason Gartner，RedHat的高级工程主管Mark Little博士，以及Intel的软件工程主管Steven Chin也走上台，加入到Rizvi的演讲中。Gartner宣布，上周发布了IBM平台上的Java 7，他也提到，尽管Oracle与IBM之间存在竞争关系，但Java平台基于标准的合作本质是它最强大的力量之一。他还稍稍讨论了Java EE 6的开放式开发成果，以及这对JBoss产品的益处。Chin讨论了Oracle与Intel之间的合作，在过去4年中，这一合作致使Java的性能在Intel硬件中提高了14倍。</p>
<p><strong>延伸Java的触角</strong></p>
<p>Adam Messinger，负责Java SE与Java ME产品线的副总裁，讨论了延伸Java的触角，以跨越新的应用模型及新的设备类型的目的。一种方法就是通过模块化，这是Java SE 8中的计划。同时，Java 7的Coin项目与Java 8的Lambda项目致力于更高的开发者生产效率。如下的路线图有清晰的描述：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY1ZWJiMjdjNTM2YjBlYjZjYzJmNzVjMmYwNGI0NTkxNGQ5M2I0NDgucG5n.jpg"></p>
<p>Rob Benso，Twitter的运行时系统主管，随后也与Messinger同台演讲。Benson详述了Twitter在需要一个成熟且有高伸缩能力的技术时，是如何应用Java的。"我们每天要处理大约2.3亿条推特，我们的流API每天要推送大约6TB的数据，并且我们的公共API每天要服务大约13亿个请求。所以我们期望中的运行时环境要能够处理当前及未来的通信量。"Twitter选择了Java，是由于它有一个庞大且充满活力的开源社区。Twitter当场宣布，他们已经加入了OpenJDK，同样也加入了JCP。<br />
Messinger重申推进JavaFX在战略上的重要性，JavaFX是Oracle首要的RIA开发环境，它包含对已有Swing应用的交互，以及能进行可视化开发的JavaFX Scene Builder工具。随后，Messinger的同事Nandini Ramani提供了一个实验性的JavaFX游戏的原型，该原型能运行在多种便携设备上--包括Windows，Linux，甚至是Apple iPad。<br />
Messinger还宣布了Oracle对JavaFX的开源计划，首先开源的是组件，然后是框架的其它部分。只要OpenJDK社区提出要求，这一开源计划就会执行。另外，他们还计划对JavaFX进行标准化，使它成为Java SE的一个标准组成，这可能要到Java 8之后了。</p>
<p><strong>Java移动与嵌入式的三大目标</strong></p>
<p>后来，Messinger谈到Oracle针对Java移动与嵌入式体系的三大目标--在Java SE设备与Java ME设备之间起到桥梁作用(同步CLDC与JDK的版本/聚合CDC与嵌入式Java SE应用)，完整地涵盖嵌入式垂直市场，并在运行时环境与工具方面提供深度的内容与服务整合。这必将导致Java Card技术应用于极小设备，Java ME应用于小的嵌入式环境，而Java SE应用于更大的嵌入式市场。在真正的嵌入式领域中，ARM的执行副总裁Lance Howarth探讨了"无处不在的计算"的将来。作为制造商随处都使用的32位RISC微处理器(基于ARM的设备已经出厂了610万台)，Howarth预测对于智能计算设备，我们很少意识到，也很少见到把Java作为实现这一设想的关键。对之后，移动手机应用商店GetJar的CEO Ilya Lars探讨他们对移动领域的愿景，以及他们对Java开放标准的提案。</p>
<p><strong>Java EE路线图</strong></p>
<p>Oracle开发部门的副总裁Cameron Purdy详述了Java EE路线图。Purdy提到Java EE是"企业级应用所依赖的唯一标准开发平台"，这些应用可以跨越不同的社区，不同的软件提供商，以及不同的开源实现。他还讲到Java EE当前是企业级开发者的首选，它已经被下载4000万次了。Java EE的目标是使EE易于开发--在从事往常复杂而费解的任务时，EE会使Java开发者们感到更为自然，同时为下一代企业应用建立了一个开放的，由社区驱动的，且基于标准的平台。他探讨了很多Java EE 7的独创特性，如多租用(multi-tenancy)，按需扩容(capacity on demand)，以及自动提供(auto-provisioning)，这些特性使高级云应用及其平台成为一种服务。<br />
随后，ESPN的Sean Comerford与Purdy讨论了在ESPN.com在当前的企业需求中对Java EE的选择。"Glassfish给了我们相同的性能，但与其它可选技术相比，它还具备高得多的可伸缩性。在处理每秒3000次请求的场景中，对我们的产品部署进行了测试。"对于ESPN，游戏的规则就是可伸缩性，还伴随着未来在任何地方、任何设备上提供服务的潜在可能。然后，Adam Messinger以对Avatar项目的介绍结束了本场会议。Avatar项目是Oracle针对动态富客户端的混合编程模型，它在浏览器中集成HTML 5作为UI，使Java应用作为控制器与模型，而Java EE 7则在后台的云中--这统一了Java ME，Java SE和Java EE。</p>
<p>本文出自seven的测试人生公众号最新内容请见作者的GitHub页：<a href="http://qaseven.github.io/" rel="external nofollow noreferrer">http://qaseven.github.io/</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 07:38:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/twitter/" title="twitter">twitter</a>, <a href="https://www.iamivan.net/tag/openjdk/" title="openjdk">openjdk</a>, <a href="https://www.iamivan.net/tag/javafx/" title="javafx">javafx</a>, <a href="https://www.iamivan.net/tag/javaone/" title="JavaOne">JavaOne</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>推动Java前进--Java Strategy Keynote JavaOne 2011的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaeKaz.html" rel="bookmark">JavaOne 2011战略主题：Java ME、SE和EE的未来规划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java EE的下个版本将支持云计算.多站点(multi-tenancy,多站点,多租户).可扩展以及缓存等特性.在近日举行的JavaOne 2011大会上,来自Oracle团队的Adam Messinger.Hasan Rizvi和Cameron Purdy分别针对不同Java平台的产品路线图进行了介绍,其中包括移动版(ME,Micro Edition).标准版(SE,Standard Edition)以及企业版(EE,Enterprise Edition)这三种Java平台. Cameron			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPQwrz.html" rel="bookmark">Java那些事儿 - JavaOne 2011、CDI和Google Dart语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于Java社区来说,9月和10月间最重要的事件是一年一度的JavaOne大会的召开.JavaOne 2011的 主题是&quot;推动Java向前发展(Moving Java Forward)&quot;.从这个主题可以看出,Oracle正试图以领导者的身份带领Java社区来共同推动Java的发展.Java SE 7的发布,是这个过程中的一个重要里程碑.相对于上一次JavaOne会议来说,JavaOne 2011在社区中的评价比较不错,被认为是一次成功的会议.Oracle也更加重视社区在推动Java发展			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxvw1Bz.html" rel="bookmark">Java设计模式之Strategy模式&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基于有了OO的基础后,开始认真学习设计模式!设计模式是java设计中必不可少的! Apple.java package strategy; /** * * @author Andy * */ public class Apple implements Discountable { //重量 private double weight; //单价 实际开发中 设计金钱等精确计算都是BigDecimal; private double price; //按购买量打折 // private Disco			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB9o9z.html" rel="bookmark">Java、Java Applet与 &amp;amp&semi;&num;106avascript间的通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘 要:本文着重阐述了网页开发中,通过灵活使用从JavaScript语言中访问Java的方法.从JavaScript中访问JavaScript小程序的方法与变量,以及在Java Applet小程序中使用JavaScript等技术,实现这几种网页开发语言的互相补充,以开发更完美的Web应用程序. JavaScript是用于HTML环境的开发语言,提供了能够响应Web页面事件的脚本,可以完全访问浏览器窗口的各个方面,善于合并HTML.Java Applet小程序.插入件.服务器方程序和其他Web组件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMg2Z5b.html" rel="bookmark">用 Java 生成 Java：CodeModel 介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们编写代码的时候,常常会有这样的情形:一部分代码是可以根据另一部分代码按照某种特定的模式变化而来的: 有时,随着那一部分被依赖的代码发生变化,依赖的代码不得不跟着修改:有时,这样的代码会随着项目的推进,不止一次 的出现.很典型的一个例子就是,当需要自己实现数据访问层时,通常每个实体类会对应一个 DAO(数据访问对象)类,并 且一般来讲 DAO 类的代码编写是很机械的.这时,我们就需要使用&quot;代码生成&quot;来提高我们的开发效率以及提高代码的可 维护性. Java 有很多种方法可以实现&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDYlgWb.html" rel="bookmark">java继承-JAVA抽象类（新手求解）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JAVA抽象类(新手求解) 子类继承了一个抽象类,抽象类中没有无参构造函数,有有参构造.请问子类能实例化么?如果能,怎么做? 解决方案 子类构造方法中使用super()传参,指定一个父类的构造器 假如父类构造器是private修饰的那就没办法继承了. 解决方案二: 能,可以直接使用无参,也可以使用父类的有参构造 解决方案三: 首先,你应该先了解继承的原理,继承的强大在于子类可以继承来自父类的一切可继承的特征和行为,更重要的是子类不仅仅可以继承来自父类的特征和行为,而且还具备自我扩展的能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaZwRz.html" rel="bookmark">java web  java&period;lang&period;NullPointerException</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java web java.lang.NullPointerException 严重: Servlet.service() for servlet [selectServlet] in context with path [/Exercise] threw exceptionjava.lang.NullPointerException at DB.DataBaseConnection.selectOperation1(DataBaseConnection.java:45) at Ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKv6oM.html" rel="bookmark">java 利用java反射机制动态加载类的简单实现&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: ////////////////// Load.java package org.bromon.reflect; import java.util.ArrayList; import java.util.List; public class Load implements Operator { @Override public List&lt;?&gt; act(List&lt;?&gt; params) { // TODO Auto-generated method stub List&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQKaRp.html" rel="bookmark">方向-关于C&num;&comma;C&plus;&plus;&comma;asp&period;net&comma;java ee&comma;java se&comma;vc &plus;&plus; 开发的一些问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于C#,C++,asp.net,java ee,java se,vc ++ 开发的一些问题 我现在大二下学期了,暂时还没有分方向的,我先在准备向c++ 方向发展 ,路线大致是这样的: c++ primer 5-&gt; windows程序设计/ vc ++ 程序设计,做一些小程序 -&gt; effect c++ -&gt; more effect c++ -&gt; windows 内核 等等,这样好吗? 以后出去好找工作吗? 我现在学习了 c++ 语言,java 语言,c语言 ,c#语言有			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr3ejp.html" rel="bookmark" class="title">WPS如何显示花样线条</a>
					<div>
						  办公文档中,有时我们会在段落间添加必要的分隔线.分隔线的花样繁多,利用直线绘制工具辅以各种线型设置,可以设计出花样分隔线.但问题是线条与文字往往会存在因版面重排而错乱的情况,且画出这样的线条也比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5RDBz.html" rel="bookmark" class="title">如何借助 HealthKit 打造一款健身应用？</a>
					<div>
						[编者按]本文作者为 Matthew Maher,文章手把手地介绍了如何借助 HealthKit 建立简单的健身应用,包含诸多代码实例.本文系国内 ITOM 管理平台 OneAPM 编译呈现. 根据新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b28VZp.html" rel="bookmark" class="title">php中preg正则函数使用</a>
					<div>
						1.preg_match和preg_match_all的区别 preg_match和 preg_match_all区别是preg_match只匹配一次.而preg_match_all全部匹配,直到字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvj5WM.html" rel="bookmark" class="title">php SWFUpload 怎么创建缩略图并且保存到指定文件夹里面</a>
					<div>
						  upload.php   &lt;?php /*  * swfupload图片上传    */      if (isset($_POST[&quot;PHPSESSID&quot;])) {   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVBNnz.html" rel="bookmark" class="title">Fireworks4&period;0中虚线效果制作技巧全攻略</a>
					<div>
						攻略|技巧 Fireworks是一款针对网页图形设计的软件,虽然比起Photoshop等专业级的绘图软件来,它的功能还算不上很强大,但只要多用巧用,细心钻研,它的功能还是能满足网页图象设计的各种要求的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jJGob.html" rel="bookmark" class="title">POJ 1835 宇航员：模拟&amp;amp&semi;amp&semi;三维向量旋转</a>
					<div>
						Description 问题描述: 宇航员在太空中迷失了方向,在他的起始位置现在建立一个虚拟xyz坐标系,称为绝对坐标系,宇航员正面的方向为x轴正方向,头顶方向为z轴正方向,则宇航员的初始状态如下图所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7lP1b.html" rel="bookmark" class="title">Java聊天室小程序－DOS版本规划方面</a>
					<div>
						以下的只是网络基础而已,可供初学者参考 实现效果图: 服务器端: 客户器端:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx9BKb.html" rel="bookmark" class="title">&period;NET，你忘记了么？（六）&mdash;&mdash;再谈String</a>
					<div>
						一. 文章伊始 在文章之前,说下写出这篇文章的目的.在我昨天的一篇文章&lt;&lt;重温设计模式(一 )--享元模式(Flyweight) &gt;&gt;中,我在文中提到了关于String的字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PejmM.html" rel="bookmark" class="title">在CentOS中用yum命令下载RPM包但不进行安装的方法</a>
					<div>
						  yum是基于Red Hat的系统(如CentOS.Fedora.RHEl)上的默认包管理器.使用yum,你可以安装或者更新一个RPM包,并且他会自动解决包依赖关系.但是如果你只想将一个RPM包下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ooWWb.html" rel="bookmark" class="title">一组另类的T-SHIRT购物网站欣赏</a>
					<div>
						  今天分享的酷站,是一组T-shirt购物网站,与传统的购物网站不同,这组网站针对潮人,强调个性化的设计,不光网站,连售卖的T恤也与众不同,风格强烈,口味独到,童鞋们可以借鉴一下.(如果会海淘,小编 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad7Yqz.html" rel="bookmark" class="title">如何在Windows 8 中卸载已安装的更新</a>
					<div>
						  1.在系统下按Windows+Pause Break快捷键,调出系统属性页面,通过点击&quot;控制面板&quot;调出控制面板; 打开控制面板,选择程序-&gt;卸载程序,如图: 2.在打开的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7x4AM.html" rel="bookmark" class="title">Photoshop设计时尚的电商字体海报教程</a>
					<div>
						  电商海报是当下最火的一个设计行业,今天我们就一起来学习手表的全屏海报设计过程,主要使用PS来完成,找到合适的素材然后在加上文案字体的设计,喜欢的朋友一起来学习吧 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg30oEM.html" rel="bookmark" class="title">如何远程连接他人的电脑</a>
					<div>
						本教程为大家介绍一下如何远程连接他人的电脑,下面一起来看看吧. 操作步骤 1.点击开始按钮,在搜索程序和文件里面输入mstsc. 2.系统找到该程序,我们双击打开它,远程桌面连接界面就会出来. 3.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3mGyp.html" rel="bookmark" class="title">Windows7系统电脑出现蓝屏该怎么处理？</a>
					<div>
						  电脑蓝屏,又叫蓝屏死机(Blue Screen of Death,简称BSoD),是微软的 Windows 系列操作系统在无法从一个系统错误中恢复过来时,为保护电脑数据文件不被破坏而强制显示的屏幕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ey4jM.html" rel="bookmark" class="title">BBS&lpar;php &amp;amp&semi;amp&semi; mysql&rpar;完整版&lpar;七&rpar;&lowbar;php基础</a>
					<div>
						//下面是  top.js       function KB_keepItInIE(theName,theWantTop,theWantLeft) { theRealTop=parseInt(doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOllR5b.html" rel="bookmark" class="title">哪位大虾指点啊？？？？？？抛异常！！！！！</a>
					<div>
						问题描述 importjava.util.*;className{privateStringfirstName;privateStringlastName;publicName(Stringfirst ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXK9mz.html" rel="bookmark" class="title">一位软件工程师的7年总结</a>
					<div>
						1.分享第一条经验:&quot;学历代表过去.能力代表现在.学习力代表未来.&quot;其实这是一个来自国外教育领域的一个研究结果.相信工作过几年.十几年的朋友对这个道理有些体会吧.但我相信这一点也很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydXOvb.html" rel="bookmark" class="title">ie11-同一个网站模板在不同的IE11上显示不同，求解</a>
					<div>
						问题描述 同一个网站模板在不同的IE11上显示不同,求解 在网站上下载了一个基于bootstrap的登陆界面,大家只要百度一下(bootstrap的登陆界面)就能发现,首先发下火狐的结果 然后顺便用I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYX5A9b.html" rel="bookmark" class="title">CI框架中site&lowbar;url&lpar;&rpar;和base&lowbar;url&lpar;&rpar;的区别&lowbar;php技巧</a>
					<div>
						在使用CI框架的使用经常碰到跳转和路径方面的问题,site_url()和base_url()很容易混淆,下面来说说他们的区别! 假如你config文件里面的base_url和index_page是这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodjNvM.html" rel="bookmark" class="title">中国计算机报专访：让客户成了第一个投资人</a>
					<div>
						全文如下: 初次接触何春涛,是在2013年的一次大数据沙龙上,邀请他做演讲.他给人的第一感觉是个典型的&quot;理工男&quot;:身材偏瘦,文质斌斌,说话思维清晰,着装简洁利落.          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWeQdz.html" rel="bookmark" class="title">JS模态窗口返回值兼容问题的完美解决方法&lowbar;javascript技巧</a>
					<div>
						因系统要兼容原IE已使用的关闭方法,经调试测得,需对window.dialogArguments进行再较验,不然易出问题. function OKEnd(vals) { if (vals == nul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jAD3p.html" rel="bookmark" class="title">Android编程操作嵌入式关系型SQLite数据库实例详解&lowbar;Android</a>
					<div>
						本文实例分析了Android编程操作嵌入式关系型SQLite数据库的方法.分享给大家供大家参考,具体如下: SQLite特点 1.Android平台中嵌入了一个关系型数据库SQLite,和其他数据库不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxENZPp.html" rel="bookmark" class="title">JS中自定义定时器让它在某一时刻执行&lowbar;javascript技巧</a>
					<div>
						有时,处于需求的原因,我们需要在JS中写一个方法,然后让它在某一时刻执行,即需要在JS中写一个定时器,当时间达到要求时间时,需要执行的方法自动执行,下面小编简单说一下我是怎么实现的 var tMinu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z727z.html" rel="bookmark" class="title">Google使用方法与屏蔽和解封的办法</a>
					<div>
						语法格式:site : 网址 关键词 或者 关键词 site : 网址 注意事项:site:后边跟的冒号必须是英文的&quot;:&quot;,中文的全角冒号&quot;:&quot;无用 url前不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8yWWp.html" rel="bookmark" class="title">站长怎么样通过网站来赚钱</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 以前写过一篇文章,好像是&lt;站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Gx1p.html" rel="bookmark" class="title">Android学习之&mdash;&mdash;实现圆角Button</a>
					<div>
						  在drawable文件夹下新建btn_shape.xml文件: 1 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4O3Kb.html" rel="bookmark" class="title">网络消费要理性 急用商品避开交易高峰</a>
					<div>
						通讯员 沈雁 韩志斌 记者 邬愉波 本周日,就是一年一度的&quot;双11&quot;网购狂欢节.除了创办这个网购节的天猫外,更多的购物网站也纷纷搭车推出各种名目繁多的促销.对于这个&quot;中国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKEdPz.html" rel="bookmark" class="title">高德地图新旧UI大对比 哪里更好看更好用了？</a>
					<div>
						近日,高德地图推出了全新7.6.6版本,对APP进行了大改版,尤其是在视觉和交互方面取得了突破性的改进.全新高德地图的UI改变不仅让视觉体验变好,更是交互的全新升级.下边我们就来看一看,全新的高德地图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJk5PM.html" rel="bookmark" class="title">YII2 WIDGET的学习笔记</a>
					<div>
						widget,英文意思为小工具,小挂件,在程序里大概也是这个意思,Yii2中叫做组件,这个示例仅仅是写一个基本的Yii2 widget,看看能不能运行. 关于widgets,他们在yii中的关系如下  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEQld3b.html" rel="bookmark" class="title">Win2003里面地web园特性详细解说&lowbar;win服务器</a>
					<div>
						什么是 Web 园? 问: IIS 6.0 具有一个名为 Web 园的新功能,有了它,可以将应用程序池配置为使用多个工作进程.IIS 何时创建额外的工作进程?在我们实施 Web 园之前,我们应该了解哪 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
